<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE filesystem PUBLIC "-//NetBeans//DTD Filesystem 1.0//EN" "http://www.netbeans.org/dtds/filesystem-1_0.dtd">
<!--
The contents of this file are subject to the terms of the Common Development
and Distribution License (the License). You may not use this file except in
compliance with the License.

You can obtain a copy of the License at http://www.netbeans.org/cddl.html
or http://www.netbeans.org/cddl.txt.

When distributing Covered Code, include this CDDL Header Notice in each file
and include the License file at http://www.netbeans.org/cddl.txt.
If applicable, add the following below the CDDL Header, with the fields
enclosed by brackets [] replaced by your own identifying information:
"Portions Copyrighted [year] [name of copyright owner]"

The Original Software is NetBeans. The Initial Developer of the Original
Software is Sun Microsystems, Inc. Portions Copyright 1997-2006 Sun
Microsystems, Inc. All Rights Reserved.
-->
<filesystem>

  <folder name="Menu">
	<folder name="Tools">
	    <attr boolvalue="true" name="org-netbeans-modules-options-OptionsWindowAction.shadow/Separator3.instance"/>
	    <attr boolvalue="true" name="org-netbeans-core-actions-OptionsAction.instance/Separator3.instance"/>
            <!-- the following ordering attributes is necessary because of macosx where options action is not present in Tools menu -->
            <attr name="org-netbeans-modules-favorites-templates-TemplatesAction.instance/Separator3.instance" boolvalue="true" />
            <attr name="ServerManagerAction.instance/Separator3.instance" boolvalue="true" />
            <attr name="org-netbeans-modules-favorites-templates-TemplatesAction.instance/org-netbeans-modules-autoupdate-catalog-ModuleCatalogAction.instance" boolvalue="true" />
            <attr name="ServerManagerAction.instance/org-netbeans-modules-autoupdate-catalog-ModuleCatalogAction.instance" boolvalue="true" />
            
            <file name="Separator3.instance">
		<attr name="instanceClass" stringvalue="javax.swing.JSeparator"/>
	    </file>
            <file name="org-netbeans-modules-autoupdate-catalog-ModuleCatalogAction.instance"/>
            <attr boolvalue="true" name="Separator3.instance/org-netbeans-modules-autoupdate-catalog-ModuleCatalogAction.instance"/>
            <attr boolvalue="true" name="org-netbeans-modules-autoupdate-catalog-ModuleCatalogAction.instance/org-netbeans-modules-autoupdate-UpdateAction.instance"/>
            <file name="org-netbeans-modules-autoupdate-UpdateAction.instance"/>
        </folder>
  </folder>

  <folder name="Actions">
    <folder name="System">
      <file name="org-netbeans-modules-autoupdate-catalog-ModuleCatalogAction.instance"/>
      <file name="org-netbeans-modules-autoupdate-UpdateAction.instance"/>
    </folder>    
  </folder>
  
  <folder name="Services">
    
    <folder name="AutoupdateType">
      <attr name="hidden" boolvalue="false" />
      <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.autoupdate.resources.Bundle"/>
      <attr name="SystemFileSystem.icon" urlvalue="nbresloc:/org/netbeans/modules/autoupdate/resources/updateAction.gif"/>
      <attr name="helpID" stringvalue="org.netbeans.modules.autoupdate.AutoupdateType"/>
      
    </folder>

    <file name="org-netbeans-modules-autoupdate-Settings.settings" url="autoupdate.settings">
      <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.autoupdate.resources.Bundle"/>
      <attr name="SystemFileSystem.icon" urlvalue="nbresloc:/org/netbeans/modules/autoupdate/resources/updateAction.gif"/>
    </file>

  </folder>  <!-- Services -->
  
  <folder name="UI">

    <folder name="Services">

      <folder name="IDEConfiguration">

        <folder name="System">

          <file name="org-netbeans-modules-autoupdate-AutoupdateTypes.shadow">
            <attr name="originalFile" stringvalue="Services/AutoupdateType"/>
          </file>

          <file name="org-netbeans-modules-autoupdate-Settings.shadow">
            <attr name="originalFile" stringvalue="Services/org-netbeans-modules-autoupdate-Settings.settings"/>
          </file>

        </folder> <!-- System -->
      </folder> <!-- IDEConfiguration -->

    </folder> <!-- Services -->
  </folder> <!-- UI -->

  <folder name="Templates">
    <folder name="Services">
        <folder name="AutoupdateType">
          <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.autoupdate.resources.Bundle"/>
          <attr name="SystemFileSystem.icon" urlvalue="nbresloc:/org/netbeans/modules/autoupdate/resources/updateAction.gif"/>
          <file name="autoupdate_xml_type.settings" url="autoupdate_xml_type.settings">
            <attr boolvalue="true" name="template"/>
            <attr name="SystemFileSystem.localizingBundle" stringvalue="org.netbeans.modules.autoupdate.resources.Bundle"/>
            <attr name="SystemFileSystem.icon" urlvalue="nbresloc:/org/netbeans/modules/autoupdate/resources/updateAction.gif"/>
          </file>
        </folder>
    </folder>
    
  </folder>
  
  <folder name="Loaders">
      <folder name="application">
          <folder name="x-nbm">
              <folder name="Actions">
                  <file name="OpenAction.instance">
                      <attr name="instanceClass" stringvalue="org.openide.actions.OpenAction"/>
                  </file>
                  <attr boolvalue="true" name="OpenAction.instance/FileSystemAction.instance"/>
                  <file name="FileSystemAction.instance">
                      <attr name="instanceClass" stringvalue="org.openide.actions.FileSystemAction"/>
                  </file>
                  <attr boolvalue="true" name="FileSystemAction.instance/Separator0.instance"/>
                  <file name="Separator0.instance">
                      <attr name="instanceClass" stringvalue="javax.swing.JSeparator"/>
                  </file>
                  <attr boolvalue="true" name="Separator0.instance/CutAction.instance"/>
                  <file name="CutAction.instance">
                      <attr name="instanceClass" stringvalue="org.openide.actions.CutAction"/>
                  </file>
                  <attr boolvalue="true" name="CutAction.instance/CopyAction.instance"/>
                  <file name="CopyAction.instance">
                      <attr name="instanceClass" stringvalue="org.openide.actions.CopyAction"/>
                  </file>
                  <attr boolvalue="true" name="CopyAction.instance/PasteAction.instance"/>
                  <file name="PasteAction.instance">
                      <attr name="instanceClass" stringvalue="org.openide.actions.PasteAction"/>
                  </file>
                  <attr boolvalue="true" name="PasteAction.instance/Separator1.instance"/>
                  <file name="Separator1.instance">
                      <attr name="instanceClass" stringvalue="javax.swing.JSeparator"/>
                  </file>
                  <attr boolvalue="true" name="Separator1.instance/DeleteAction.instance"/>
                  <file name="DeleteAction.instance">
                      <attr name="instanceClass" stringvalue="org.openide.actions.DeleteAction"/>
                  </file>
                  <attr boolvalue="true" name="DeleteAction.instance/RenameAction.instance"/>
                  <file name="RenameAction.instance">
                      <attr name="instanceClass" stringvalue="org.openide.actions.RenameAction"/>
                  </file>
                  <attr boolvalue="true" name="RenameAction.instance/Separator2.instance"/>
                  <file name="Separator2.instance">
                      <attr name="instanceClass" stringvalue="javax.swing.JSeparator"/>
                  </file>
                  <attr boolvalue="true" name="Separator2.instance/ToolsAction.instance"/>
                  <file name="ToolsAction.instance">
                      <attr name="instanceClass" stringvalue="org.openide.actions.ToolsAction"/>
                  </file>
                  <attr boolvalue="true" name="ToolsAction.instance/PropertiesAction.instance"/>
                  <file name="PropertiesAction.instance">
                      <attr name="instanceClass" stringvalue="org.openide.actions.PropertiesAction"/>
                  </file>
              </folder>
          </folder>
      </folder>
  </folder>

</filesystem>
